Subject: Save money and look posh!

From: " Es" <[email-masked] >
Date: Tue, 10 Jul 2007 09:45:21 -0700

Don’t miss the chance to save large on our high-quality replica timepieces!
Plus, you won’t have to spend much – our prices are truly laughable!
Millions of people all over the world dream of watches by these brands!
http://slonoima.com